package com.mortals.xhx.module.record.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.ApplyLogVo;
import lombok.Data;
/**
* 证照申请实体对象
*
* @author zxfei
* @date 2023-05-24
*/
@Data
public class ApplyLogEntity extends ApplyLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 证照档案ID
    */
    private Long recordId;
    /**
    * 证照目录ID
    */
    private Long catalogId;
    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 目录名称
    */
    private String catalogName;
    /**
    * 证照目录模板ID
    */
    private Long templateId;
    /**
    * 证照模板名称
    */
    private String templateName;
    /**
    * 证件编号
    */
    private String certificateCode;
    /**
    * 证件名称
    */
    private String certificateName;
    /**
    * 颁发时间
    */
    private Date issueTime;
    /**
    * 取件人姓名
    */
    private String pickerName;
    /**
    * 取件人证件号码
    */
    private String pickerIDCardNo;
    /**
    * 持有者类型，1：自然人，2：法人，3：自然人法人
    */
    private Integer holderType;
    /**
    * 持有者证件类型，1：身份证，2：组织机构代码等
    */
    private Integer holderIdType;
    /**
    * 持有者名称
    */
    private String holderName;
    /**
    * 持有者证件号码
    */
    private String holderIDCardNo;
    /**
    * 企业名称
    */
    private String enterpriseName;
    /**
    * 有效期起始
    */
    private Date validityStart;
    /**
    * 有效期截止
    */
    private Date validityEnd;
    /**
    * 专网ID
    */
    private String privateID;
    /**
    * 证件附件地址
    */
    private String certificateUrl;
    /**
    * 证件预览地址
    */
    private String previewUrl;
    /**
    * 证照模板正本表单内容
    */
    private String formContent;
    /**
    * 证照模板正本表单内容
    */
    private String formTemplate;
    /**
    * 生成状态1未生成2已生成
    */
    private Integer generateStatus;
    /**
    * 档案操作类型1新增2变更
    */
    private Integer operType;
    /**
    * 归档状态0否1是
    */
    private Integer recordStatus;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ApplyLogEntity) {
            ApplyLogEntity tmp = (ApplyLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = -1L;

            this.recordId = -1L;

            this.catalogId = -1L;

            this.catalogCode = "";

            this.catalogName = "";

            this.templateId = -1L;

            this.templateName = "";

            this.certificateCode = "";

            this.certificateName = "";

            this.issueTime = null;

            this.pickerName = "";

            this.pickerIDCardNo = "";

            this.holderType = 1;

            this.holderIdType = 1;

            this.holderName = "";

            this.holderIDCardNo = "";

            this.enterpriseName = "";

            this.validityStart = null;

            this.validityEnd = null;

            this.privateID = "";

            this.certificateUrl = "";

            this.previewUrl = "";

            this.formContent = "";

            this.formTemplate = "";

            this.generateStatus = 1;

            this.operType = 1;

            this.recordStatus = 0;
    }
}